# XML Sitemap for Sites

This module provides sitemaps for every site. The sitemaps are generated
dynamically based on the default sitemap.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/sites_simple_sitemap).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/sites_simple_sitemap).

## Table of contents

- Requirements
- Installation
- Configuration
- Maintainers

## Requirements

This module requires the following modules:

- [Simple XML sitemap](https://www.drupal.org/project/simple_sitemap)
- [Sites](https://www.drupal.org/project/sites)

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see: [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

The following patch for the module simple_sitemap have to be applied:
https://www.drupal.org/project/simple_sitemap/issues/3432628

## Configuration

1. Enable the module at Administration > Extend or with drush en
sites_simple_sitemap.
1. Profit.

There are no configurations needed for this module. The sites sitemaps use
configurations from the module Simple XML sitemap
(/admin/config/search/simplesitemap).

## Maintainers

- [Antonín Slejška](https://www.drupal.org/u/anton%C3%ADn-slej%C5%A1ka)
