<?php

namespace Drupal\sites_simple_sitemap\Controller;

use Drupal\simple_sitemap\Controller\SimpleSitemapController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;

/**
 * Controller routines for sitemap routes.
 */
class SitesSimpleSitemapController extends SimpleSitemapController {

  /**
   * {@inheritdoc}
   */
  public function getSitemap(Request $request, ?string $variant = NULL): Response {
    $response = parent::getSitemap($request, $variant);
    $response->getCacheableMetadata()->addCacheContexts(['site']);

    return $response;
  }

}
